[INCLUDE]
CallFunction

[CODE]
Public Function CallFunction_Indirect(ByVal DllHandle As Long, ByVal FunctionName As Variant, ParamArray FunctionParams()) As Long
  Dim xLong1 As Long

  ReDim CallFunction_tmpParam(UBound(FunctionParams()) + 1&)
  For xLong1 = 0& To UBound(FunctionParams())
    CallFunction_tmpParam(xLong1) = FunctionParams(xLong1)
    Next
    
  If Not VarType(FunctionName) = vbString Then FunctionName = "#" + CStr(Val(FunctionName))
  xLong1 = GetProcAddress(DllHandle, CStr(FunctionName))
  If Not xLong1 = 0& Then
    CallFunction_Indirect = CallFunction_Real(xLong1)
    End If
  End Function
